///////////////////////////////////////////////////////////////////////////////
//
// HistoCut
// --------------
//
// Authors: Aran Garcia-Bellido (aran@fnal.gov),
//          Gabriella Gaudio (ggaudio@u.washington.edu)
//          Brigitte Vachon (vachon@fnal.gov)
//          Gordon Watts (gwatts@fnal.gov)
//
// Date: Oct. 01 2003
//
// Modifications:
// 4/27/2004, RS: adjusted to use in NLO single top analysis
//
///////////////////////////////////////////////////////////////////////////////

#include "single_top_analysis/HistoCut.hpp"

using namespace std;

ClassImp (HistoCut);

  //----------------
  // constructor
  //----------------
  
HistoCut::HistoCut(Particles *obj)
{
  SetParticleObj(obj);
}
  
//-------------
// destructor
//-------------
HistoCut::~HistoCut(){
  for (int i=0;i<_histograms.GetEntries();i++) delete _histograms[i];
  for (int i=0;i<_graphs.GetEntries();i++) delete _graphs[i];
}

  
//----------------
// Book
//----------------
void HistoCut::BookHistogram(void)
{ 
    
} 
  
    
//-------------------------
// fill histogram method
//--------------------------
bool HistoCut::Apply(){
    
  return true;
}
  

